Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2114520 - condor: FTBFS in Fedora rawhide/f37: CMake Error at /usr/lib64/cmake/BoostDetectToolset-1.78.0.cmake:8 (list): list index: 1 out of range (-1, 0)
Summary: condor: FTBFS in Fedora rawhide/f37: CMake Error at /usr/lib64/cmake/BoostDet...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: condor
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Theisen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F40FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-02 19:38 UTC by Fedora Release Engineering
Modified: 2023-10-05 21:15 UTC (History)
10 users (show)

Fixed In Version: condor-23.0.0-1.fc40 condor-23.0.0-2.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-01 15:16:47 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-02 19:38 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-02 19:38 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-02 19:38 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-08-02 19:38:16 UTC
condor failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89761832


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix condor at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
condor will be orphaned. Before branching of Fedora 38,
condor will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-02 19:38:19 UTC
Created attachment 1902975 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2022-08-02 19:38:21 UTC
Created attachment 1902976 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-02 19:38:22 UTC
Created attachment 1902977 [details]
state.log

Comment 4 Ben Cotton 2022-08-09 13:41:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Petr Pisar 2022-09-06 14:17:43 UTC
A difference between last passing and first failing build roots <https://koschei.fedoraproject.org/build/13060538>. build.log reads:

-- Boost components: python
CMake Error at /usr/lib64/cmake/BoostDetectToolset-1.78.0.cmake:8 (list):
  list index: 1 out of range (-1, 0)
Call Stack (most recent call first):
  /usr/lib64/cmake/boost_python-1.78.0/boost_python-config.cmake:19 (include)
  /usr/lib64/cmake/Boost-1.78.0/BoostConfig.cmake:141 (find_package)
  /usr/lib64/cmake/Boost-1.78.0/BoostConfig.cmake:262 (boost_find_component)
  /usr/share/cmake/Modules/FindBoost.cmake:594 (find_package)
  externals/bundles/boost/1.66.0/CMakeLists.txt:86 (find_package)

An upgrade of boost-devel from 1.78.0-0.fc37 to 1.78.0-2.fc37 looks suspicious.

Comment 6 Fedora Update System 2023-10-01 15:13:42 UTC
FEDORA-2023-cf4e759354 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-cf4e759354

Comment 7 Fedora Update System 2023-10-01 15:16:47 UTC
FEDORA-2023-cf4e759354 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2023-10-01 17:57:04 UTC
FEDORA-2023-00704f2b4e has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-00704f2b4e

Comment 9 Fedora Update System 2023-10-01 18:00:24 UTC
FEDORA-2023-d9f43f8fd0 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-d9f43f8fd0

Comment 10 Fedora Update System 2023-10-02 02:51:03 UTC
FEDORA-2023-d9f43f8fd0 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-d9f43f8fd0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-d9f43f8fd0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-10-02 03:34:28 UTC
FEDORA-2023-00704f2b4e has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-00704f2b4e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-00704f2b4e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2023-10-03 03:31:13 UTC
FEDORA-2023-f017dc72ba has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-f017dc72ba`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-f017dc72ba

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-10-03 03:40:49 UTC
FEDORA-2023-fd403f6cf4 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-fd403f6cf4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-fd403f6cf4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2023-10-05 21:15:29 UTC
FEDORA-2023-fd403f6cf4 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.